## toot 0.17.1

=== Makefile ===
default : clean dist

dist :
	@echo "\nMaking source"
	@echo "-------------"
	@python setup.py sdist

	@echo "\nMaking wheel"
	@echo "-------------"
	@python setup.py bdist_wheel --universal

	@echo "\nDone."

clean :
	find . -name "*pyc" | xargs rm -rf $1
	rm -rf build dist MANIFEST htmlcov deb_dist toot*.tar.gz

publish :
	twine upload dist/*

coverage:
	py.test --cov=toot --cov-report html tests/

deb:
	@python setup.py --command-packages=stdeb.command bdist_deb

=== requirements.txt ===
requests>=2.13,<3.0
beautifulsoup4>=4.5.0,<5.0

## toot 0.19.0

=== debian/changelog ===
toot (0.19.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.5
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Sat, 21 Jul 2018 14:01:20 +0200

toot (0.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Fri, 15 Jun 2018 14:02:52 +0200

toot (0.17.1-1) unstable; urgency=medium

  * Initial release (Closes: #898546)

 -- Jonathan Carter <jcc@debian.org>  Sun, 13 May 2018 11:40:49 +0200

=== debian/control ===
Source: toot
Section: web
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-bs4,
               python3-requests
Standards-Version: 4.1.5
Homepage: https://github.com/ihabunek/toot

Package: toot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: mastodon cli client
 This client allows you to access mastodon servers
 from the command line.
 .
 You can authenticate, toot, follow, unfollow, mute, block,
 unblock, search and more.
 .
 It also contains an experimental curses client.

## toot 0.20.0

=== debian/changelog ===
toot (0.20.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Jan 2019 15:48:36 +0200

## toot 0.21.0

=== Makefile ===
.PHONY: clean publish test

dist :
	python setup.py sdist --formats=gztar,zip
	python setup.py bdist_wheel --python-tag=py3

deb_dist:
	python setup.py --command-packages=stdeb.command bdist_deb

publish :
	twine upload dist/*.tar.gz dist/*.whl

test:
	pytest -v -s

coverage:
	py.test --cov=toot --cov-report html tests/

clean :
	find . -name "*pyc" | xargs rm -rf $1
	rm -rf build dist MANIFEST htmlcov deb_dist toot*.tar.gz

=== debian/changelog ===
toot (0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat (=12)
  * Add new build-dependency: python3-wcwidth
  * Add dh_install_override to remove extraneous Makefile
  * Remove unneeded shlib depends

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Feb 2019 10:29:24 +0000

=== debian/control ===
Source: toot
Section: web
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-bs4,
               python3-requests,
               python3-wcwidth
Standards-Version: 4.3.0
Homepage: https://github.com/ihabunek/toot
Vcs-Browser: https://salsa.debian.org/python-team/applications/toot
Vcs-Git: https://salsa.debian.org/python-team/applications/toot.git

Package: toot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: mastodon cli client
 This client allows you to access mastodon servers
 from the command line.
 .
 You can authenticate, toot, follow, unfollow, mute, block,
 unblock, search and more.
 .
 It also contains an experimental curses client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_install:
	dh_install
	rm debian/toot/usr/Makefile

# Overwrite bad tests
override_dh_auto_test:

## toot 0.22.0

=== debian/changelog ===
toot (0.22.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Jonathan Carter ]
  * New upstream release
  * Remove Makefile rm from debian/rules (fixed upstream)

 -- Jonathan Carter <jcc@debian.org>  Sun, 04 Aug 2019 14:41:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-bs4,
                python3-requests,
                python3-wcwidth
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ihabunek/toot
 Vcs-Browser: https://salsa.debian.org/python-team/applications/toot
 Vcs-Git: https://salsa.debian.org/python-team/applications/toot.git

## toot 0.25.2

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	twine upload dist/*.tar.gz dist/*.whl
 
 test:
-	pytest -v -s
+	pytest -v
 
 coverage:
 	py.test --cov=toot --cov-report html tests/
@@ -19,3 +19,6 @@
 clean :
 	find . -name "*pyc" | xargs rm -rf $1
 	rm -rf build dist MANIFEST htmlcov deb_dist toot*.tar.gz
+
+changelog:
+	./scripts/generate_changelog > CHANGELOG.md

=== debian/changelog ===
toot (0.25.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 29 Jan 2020 13:19:09 +0200

toot (0.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Sep 2019 07:54:30 +0000

toot (0.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Sep 2019 12:52:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-bs4,
                python3-requests,
                python3-wcwidth
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/ihabunek/toot
 Vcs-Browser: https://salsa.debian.org/python-team/applications/toot
 Vcs-Git: https://salsa.debian.org/python-team/applications/toot.git

=== debian/watch ===
version=3
https://pypi.python.org/pypi/toot \
  .*/toot-(.*)\.tar\.gz

## toot 0.27.0

=== debian/changelog ===
toot (0.27.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 30 Jun 2020 18:27:27 +0200

toot (0.26.0-1) unstable; urgency=medium

  * New upstream release
  * Declare Rules-Requires-Root: no
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Sat, 18 Apr 2020 16:13:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python3-bs4,
                python3-requests,
                python3-wcwidth
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ihabunek/toot
 Vcs-Browser: https://salsa.debian.org/python-team/applications/toot
 Vcs-Git: https://salsa.debian.org/python-team/applications/toot.git

## toot 0.28.0

=== debian/changelog ===
toot (0.28.0-2) unstable; urgency=medium

  [ Jonathan Carter ]
  * Merge changes from git

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:28:41 -0400

toot (0.28.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1
  * Upgrade to debhelper-compat level 13
  * Update copyright years
  * Update debian/watch version to 4

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 09:08:53 +0200

=== debian/control ===
Source: toot
Section: web
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-bs4,
               python3-requests,
               python3-wcwidth
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/ihabunek/toot
Vcs-Browser: https://salsa.debian.org/python-team/packages/toot
Vcs-Git: https://salsa.debian.org/python-team/packages/toot.git

Package: toot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: mastodon cli client
 This client allows you to access mastodon servers
 from the command line.
 .
 You can authenticate, toot, follow, unfollow, mute, block,
 unblock, search and more.
 .
 It also contains an experimental curses client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem pybuild --with python3

# Overwrite bad tests
override_dh_auto_test:

=== debian/watch ===
version=4
https://pypi.python.org/pypi/toot \
  .*/toot-(.*)\.tar\.gz

## toot 0.28.1

=== debian/changelog ===
toot (0.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 19 Nov 2022 11:51:32 +0200

## toot 0.29.0

=== debian/changelog ===
toot (0.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Nov 2022 10:08:50 +0200

## toot 0.30.0

=== debian/changelog ===
toot (0.30.0-1) unstable; urgency=medium

  * New upstream release
  * Merge changes back from git and fix debian/changelog 

 -- Jonathan Carter <jcc@debian.org>  Thu, 01 Dec 2022 09:12:21 +0200

toot (0.28.1-2) unstable; urgency=medium

  * Re-introduce previous janitor changes
    (upstream metadata, clear whitespace)

 -- Jonathan Carter <jcc@debian.org>  Sat, 19 Nov 2022 12:02:58 +0200

## toot 0.30.1

=== debian/changelog ===
toot (0.30.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1025091)

 -- Jonathan Carter <jcc@debian.org>  Thu, 01 Dec 2022 10:37:57 +0200

## toot 0.32.1

=== debian/changelog ===
toot (0.32.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1026422)

 -- Jonathan Carter <jcc@debian.org>  Fri, 23 Dec 2022 17:23:09 +0200

## toot 0.34.1

=== debian/changelog ===
toot (0.34.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1030018)
  * Update copyright years
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Fri, 10 Feb 2023 10:56:12 +0200

toot (0.32.1-2) unstable; urgency=medium

  * Upload fix to typos in man page 

 -- Jonathan Carter <jcc@debian.org>  Fri, 23 Dec 2022 17:33:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-bs4,
                python3-requests,
                python3-wcwidth
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ihabunek/toot
 Vcs-Browser: https://salsa.debian.org/python-team/packages/toot

## toot 0.36.0

=== debian/changelog ===
toot (0.36.0-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 16:58:16 +0200

toot (0.35.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 07 Mar 2023 10:35:24 +0200

## toot 0.38.1

=== debian/changelog ===
toot (0.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sun, 13 Aug 2023 18:40:02 +0200

## toot 0.39.0

=== debian/changelog ===
toot (0.39.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sun, 26 Nov 2023 20:32:24 +0200

## toot 0.41.1

=== Makefile ===
.PHONY: clean publish test docs

dist :
	python setup.py sdist --formats=gztar,zip
	python setup.py bdist_wheel --python-tag=py3

publish :
	twine upload dist/*.tar.gz dist/*.whl

test:
	pytest -v
	flake8
	vermin toot

coverage:
	coverage erase
	coverage run
	coverage html --omit "toot/tui/*"
	coverage report

clean :
	find . -name "*pyc" | xargs rm -rf $1
	rm -rf build dist MANIFEST htmlcov bundle toot*.tar.gz toot*.pyz

changelog:
	./scripts/generate_changelog > CHANGELOG.md
	cp CHANGELOG.md docs/changelog.md

docs: changelog
	mdbook build

docs-serve:
	mdbook serve --port 8000

docs-deploy: docs
	rsync --archive --compress --delete --stats book/ bezdomni:web/toot

.PHONY: bundle
bundle:
	mkdir bundle
	cp toot/__main__.py bundle
	pip install . --target=bundle
	rm -rf bundle/*.dist-info
	find bundle/ -type d -name "__pycache__" -exec rm -rf {} +
	python -m zipapp \
		--python "/usr/bin/env python3" \
		--output toot-`git describe`.pyz bundle \
		--compress
	echo "Bundle created: toot-`git describe`.pyz"

=== debian/changelog ===
toot (0.41.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 05 Feb 2024 13:16:54 +0200

## toot 0.42.0

=== debian/changelog ===
toot (0.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sun, 24 Mar 2024 17:46:34 +0200

## toot 0.44.1

=== debian/changelog ===
toot (0.44.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0
  * Add build-dependency: pybuild-plugin-pyproject
  * Add python3-pil to recommends (needed to display blocky images in TUI)
  * Remove trailing whitespace found elsewhere in this changelog

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 18:01:08 +0200

## toot 0.45.0

=== debian/changelog ===
toot (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:46:10 +0200

## toot 0.47.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 .PHONY: clean publish test docs
 
-dist :
-	python setup.py sdist --formats=gztar,zip
-	python setup.py bdist_wheel --python-tag=py3
+dist:
+	python -m build
 
 publish :
 	twine upload dist/*.tar.gz dist/*.whl

=== debian/changelog ===
toot (0.47.1-2) unstable; urgency=medium

  * Use GitHub releases instead of PyPI for uscan 

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Jan 2025 12:30:52 +0200

toot (0.47.1-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Sat, 30 Nov 2024 18:52:08 +0200

## toot 0.48.1

=== debian/changelog ===
toot (0.48.1-0) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:34:20 +0200

## toot 0.50.0

=== debian/changelog ===
toot (0.50.0-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:23:17 +0200

## toot 0.50.1

=== debian/changelog ===
toot (0.50.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 28 Aug 2025 10:53:47 +0200

## toot 0.51.0

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 clean :
 	find . -name "*pyc" | xargs rm -rf $1
-	rm -rf build dist MANIFEST htmlcov bundle toot*.tar.gz toot*.pyz
+	rm -rf build dist book MANIFEST htmlcov bundle toot*.tar.gz toot*.pyz
 
 changelog:
 	./scripts/generate_changelog > CHANGELOG.md

=== debian/changelog ===
toot (0.51.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 12:13:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,4 @@
 
 # Overwrite bad tests
 override_dh_auto_test:
+

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d.]*)\.tar\.gz/toot-$1.tar.gz/" \
         https://github.com/ihabunek/toot/tags (?:.*/)?v?(\d[\d.]*)\.tar\.gz
